---
name: "getSceneListV2"
mode: "api"
versionRequirements:
  - { name: "Base Library", version: "2.14.0" }
title: "device.getSceneListV2 - Query Tap-to-Run List"
---

## getSceneListV2

> [VERSION] Base Library >= 2.14.0

### Description

Query the Tap-to-Run list under the home; filter out invalid or automation rules

### Parameters

`Params`

| Parameter | Type | Required | Description |
| --- | --- | --- | --- |
| `params` | `IGetSceneListV2Option` | Yes | Query parameters, including device ID, whether to include standard scenes, and home ID |

### Return Value

Type: `Promise<ISceneListItemV2[]>`

Tap-to-Run rule list

##### ISceneListItemV2

| Property | Type | Description |
| --- | --- | --- |
| `actions` | `ISceneAction[]` | Action to execute |
| `alarmIssue` | `boolean` | Whether it's an alarm issue |
| `attribute` | `number` | Property Perform bitwise operations using powers of two of enum values |
| `auditStatus` | `number` | Audit status 0. Not reviewed 1. Approved 2. Rejected |
| `background` | `string` | Background image URL |
| `boundForPanel` | `boolean` | Panel binding |
| `boundForWiFiPanel` | `boolean` | Whether the WiFi panel is bound |
| `code` | `string` | Rule code |
| `commonField` | `string` | Generic JSON fields, for example local automation will store the gateway ID, gwId |
| `containDeviceDelete` | `boolean` | Whether to include deleted devices |
| `coverIcon` | `string` | Icon |
| `description` | `string` | Rule description |
| `disableTime` | `number` | Disabled time, in milliseconds |
| `displayColor` | `string` | Background color |
| `enabled` | `boolean` | Whether the rule is enabled |
| `forceCloudTrigger` | `boolean` | Whether to force cloud-side triggering |
| `id` | `string` | Execution rule ID |
| `iotAutoAlarm` | `boolean` | Whether it's an IoT automatic alarm |
| `isAlarmIssue` | `boolean` | Whether it's an alarm issue (compatibility field) |
| `isLogicRule` | `boolean` | Whether it's a logical rule |
| `linkageType` | `number` | Automation type |
| `localLinkage` | `boolean` | Whether it's a local automation |
| `logicRule` | `boolean` | Whether it's a logical rule (compatibility field) |
| `matchType` | `number` | Match type 1. Any condition: trigger if any condition matches (OR). 2. All conditions: trigger only if all conditions match. 3. Expression match: determined by the expr in the rule field; trigger when the condition is satisfied. |
| `name` | `string` | Automation name or note |
| `needCleanGidSid` | `boolean` | Whether to clean up gid/sid |
| `needValidOutOfWork` | `boolean` | Whether to check for invalidation |
| `newLocalScene` | `boolean` | Whether it's a new-version local scene |
| `offGwSync` | `boolean` | Whether to disable gateway synchronization |
| `offGwSyncSuccess` | `boolean` | Whether disabling gateway synchronization succeeded |
| `orderWeight` | `number` | Sort weight |
| `outOfWork` | `number` | Invalidation status |
| `ownerId` | `string` | Home ID |
| `panelType` | `number` | Panel type |
| `permissionCode` | `string` | Permission code |
| `ruleGenre` | `number` | Rule style |
| `ruleSource` | `number` | Rule source |
| `ruleType` | `number` | Rule type 1. System-defined 2. Vendor-defined 3. User-defined 4. Security rule 5. Service-defined (e.g., DP forwarding) |
| `runtimeEnv` | `string` | Runtime environment |
| `scenarioRule` | `boolean` | Whether it's a scene rule |
| `status` | `boolean` | Rule status |
| `statusConditions` | `any[]` | State condition list |
| `stickyOnTop` | `boolean` | Whether to display at the top of the home page |
| `subMatchType` | `number` | Sub-match type |
| `uid` | `string` | User ID |

### Referenced Types

##### `interface` IGetSceneListV2Option

| Property | Type | Description |
| --- | --- | --- |
| `devId` | `string` | Device ID |
| `gid` | `string` | Home ID |
| `containStandardZigBee` | `boolean` | Whether to include standard scenes, not included by default |

##### `interface` ISceneAction

| Property | Type | Description |
| --- | --- | --- |
| `actionDisplay` | `string` | Action display name |
| `actionExecutor` | `string` | Action executor |
| `actionStrategy` | `string` | Action strategy |
| `attribute` | `number` | Attribute value |
| `devDelMark` | `boolean` | Device deletion flag, indicates whether the device is deleted |
| `enabled` | `boolean` | Whether the action is enabled |
| `entityId` | `string` | Entity ID, the ID of the entity the action belongs to |
| `gmtModified` | `number` | Update timestamp |
| `id` | `string` | Unique action ID |
| `offGwSync` | `boolean` | Gateway sync flag, indicates whether gateway sync is enabled |
| `orderNum` | `number` | Action sequence number |
| `ruleId` | `string` | Rule ID, the ID of the rule the action belongs to |
| `status` | `boolean` | Action status |
| `uid` | `string` | User ID, the ID of the user the action belongs to |


### Examples

#### Get Tap-to-Run scene list

```ts
ty.getSceneListV2({
  devId: 'abc123',
  gid: '456789',
  containStandardZigBee: false,
}).then((list) => {
  console.log('Tap-to-Run list', list);
});
```
